Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters.aPar.impl
Class SweepParameterImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.amp.amf.parameters.aPar.impl.ParameterImpl
                          org.eclipse.amp.amf.parameters.aPar.impl.SweepParameterImpl

All Implemented Interfaces:
  Parameter, SweepParameter, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class SweepParameterImpl

extends ParameterImpl
implements SweepParameter

An implementation of the model object 'Sweep Parameter'.

The following features are implemented:

- `Attribute`
- `Start Value`
- `End Value`
- `Increment`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected SAttribute` | `attribute` The cached value of the '`Attribute`' reference.
`protected Value` | `endValue` The cached value of the '`End Value`' containment reference.
`protected Value` | `increment` The cached value of the '`Increment`' containment reference.
`protected Value` | `startValue` The cached value of the '`Start Value`' containment reference.

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `SweepParameterImpl()`

Method Summary
`SAttribute` | `basicGetAttribute()`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetEndValue(Value newEndValue, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetIncrement(Value newIncrement, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetStartValue(Value newStartValue, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`SAttribute` | `getAttribute()`
`Value` | `getEndValue()`
`Value` | `getIncrement()`
`Value` | `getStartValue()`
`void` | `setAttribute(SAttribute newAttribute)`
`void` | `setEndValue(Value newEndValue)`
`void` | `setIncrement(Value newIncrement)`
`void` | `setStartValue(Value newStartValue)`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### attribute

    protected SAttribute attribute

  The cached value of the '`Attribute`' reference.

  See Also:
    `getAttribute()`

### startValue

    protected Value startValue

  The cached value of the '`Start Value`' containment reference.

  See Also:
    `getStartValue()`

### endValue

    protected Value endValue

  The cached value of the '`End Value`' containment reference.

  See Also:
    `getEndValue()`

### increment

    protected Value increment

  The cached value of the '`Increment`' containment reference.

  See Also:
    `getIncrement()`

Constructor Detail

### SweepParameterImpl

    protected SweepParameterImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ParameterImpl`

### getAttribute

    public SAttribute getAttribute()

  Specified by:
    `getAttribute` in interface `SweepParameter`
  Returns:
    the value of the 'Attribute' reference.
  See Also:
    `SweepParameter.setAttribute(SAttribute)`, `AParPackage.getSweepParameter_Attribute()`

### basicGetAttribute

    public SAttribute basicGetAttribute()

### setAttribute

    public void setAttribute(SAttribute newAttribute)

  Specified by:
    `setAttribute` in interface `SweepParameter`
  Parameters:
    `newAttribute` - the new value of the 'Attribute' reference.
  See Also:
    `SweepParameter.getAttribute()`

### getStartValue

    public Value getStartValue()

  Specified by:
    `getStartValue` in interface `SweepParameter`
  Returns:
    the value of the 'Start Value' containment reference.
  See Also:
    `SweepParameter.setStartValue(Value)`, `AParPackage.getSweepParameter_StartValue()`

### basicSetStartValue

    public org.eclipse.emf.common.notify.NotificationChain basicSetStartValue(Value newStartValue,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setStartValue

    public void setStartValue(Value newStartValue)

  Specified by:
    `setStartValue` in interface `SweepParameter`
  Parameters:
    `newStartValue` - the new value of the 'Start Value' containment reference.
  See Also:
    `SweepParameter.getStartValue()`

### getEndValue

    public Value getEndValue()

  Specified by:
    `getEndValue` in interface `SweepParameter`
  Returns:
    the value of the 'End Value' containment reference.
  See Also:
    `SweepParameter.setEndValue(Value)`, `AParPackage.getSweepParameter_EndValue()`

### basicSetEndValue

    public org.eclipse.emf.common.notify.NotificationChain basicSetEndValue(Value newEndValue,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setEndValue

    public void setEndValue(Value newEndValue)

  Specified by:
    `setEndValue` in interface `SweepParameter`
  Parameters:
    `newEndValue` - the new value of the 'End Value' containment reference.
  See Also:
    `SweepParameter.getEndValue()`

### getIncrement

    public Value getIncrement()

  Specified by:
    `getIncrement` in interface `SweepParameter`
  Returns:
    the value of the 'Increment' containment reference.
  See Also:
    `SweepParameter.setIncrement(Value)`, `AParPackage.getSweepParameter_Increment()`

### basicSetIncrement

    public org.eclipse.emf.common.notify.NotificationChain basicSetIncrement(Value newIncrement,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setIncrement

    public void setIncrement(Value newIncrement)

  Specified by:
    `setIncrement` in interface `SweepParameter`
  Parameters:
    `newIncrement` - the new value of the 'Increment' containment reference.
  See Also:
    `SweepParameter.getIncrement()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD